Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007202 [DCSS] Patches feature N/A 2013-06-12 10:10 2013-11-06 19:46
Reporter pubby View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007202: Dwant species
Description Implementation of Dwants: dwarves + ants.

Tavern thread:
https://crawl.develz.org/tavern/viewtopic.php?f=8&t=8298 [^]
Additional Information
Tags No tags attached.
Attached Files ? file icon dwant.patch [^] (37,739 bytes) 2013-06-12 10:10 [Show Content]
? file icon dwant2.patch [^] (41,899 bytes) 2013-06-15 12:09 [Show Content]
? file icon dwant3.patch [^] (40,986 bytes) 2013-06-17 07:03 [Show Content]
png file icon dwant.png [^] (761 bytes) 2013-06-17 07:07


? file icon dwant4.patch [^] (62,995 bytes) 2013-06-18 06:01 [Show Content]
? file icon dwant5.patch [^] (88,717 bytes) 2013-06-22 10:15 [Show Content]
? file icon formicid1.patch [^] (93,426 bytes) 2013-06-26 07:55 [Show Content]
? file icon formicid2.patch [^] (96,014 bytes) 2013-07-07 17:58 [Show Content]

- Relationships

-  Notes
(0023195)
pubby (reporter)
2013-06-15 12:12

Uploaded a new patch which fixed some small bugs.
(0023197)
KiloByte (manager)
2013-06-15 16:46

I'm afraid to see any point in having a connection to dwarves: these don't have anything dwarf-like. It'd be a repeat of making Lava Orcs orcs.

Being able to single-handed wield weapons so large that even an ogre needs two hands seems just wrong: it's not about just the number of hands, but also of body size.

I don't like a racial book, either, especially for non-casting classes.

The idea of permanent stasis seems interesting. It can lead to problems as some vaults use teleport traps to ensure the player is never trapped (and I took a hatch to such a place yesterday, on a branch end), but that's a matter of vault review -- should be easy to search for. I like this part.
(0023216)
pubby (reporter)
2013-06-17 07:16

Uploaded a new patch which changed some things KiloByte brought up.
- Size is now medium instead of small
- Big weapons (Giant clubs) are now treated as two-handed
- Book removed and Dwants now get innate dig abil (this is fun)
- Apts changed slightly. They're slightly closer to MD now.
And some fixes:
- Magic staves were incorrectly marked as two-handed previously
- Was missing ability descriptions

Also uploaded a tile which I forgot to upload when I first submitted the mantis report. I'm not much of an artist but it looks pretty good in-game.
(0023263)
pubby (reporter)
2013-06-22 10:20

Uploaded the fifth patch. Fixed a few bugs, changed the mutations and aptitudes a bit, and created a rough implementation of some Dwant monsters.

This one seems stable and feature-complete (knock on wood) so I doubt I'll submit another patch until decisions are made.
(0023307)
pubby (reporter)
2013-06-26 07:58

Dwants were renamed to "Formicids", losing the dwarf aspect, and I've uploaded a new patch with this change.The patch also contains a few fixes and tweaks.
(0023867)
neil (administrator)
2013-08-25 07:08

This is now in an experimental branch on CSZO: select (T)runk -> (X)perimental -> (F)ormicids. I didn't update it to the latest trunk, so it's missing new features and bugfixes from the past few months.
(0024312)
KiloByte (manager)
2013-11-06 19:46

Crawl just got a whole lot more buggy.

- Issue History
Date Modified Username Field Change
2013-06-12 10:10 pubby New Issue
2013-06-12 10:10 pubby File Added: dwant.patch
2013-06-15 12:09 pubby File Added: dwant2.patch
2013-06-15 12:12 pubby Note Added: 0023195
2013-06-15 16:46 KiloByte Note Added: 0023197
2013-06-17 07:02 pubby Issue Monitored: pubby
2013-06-17 07:02 pubby Issue End Monitor: pubby
2013-06-17 07:03 pubby File Added: dwant3.patch
2013-06-17 07:07 pubby File Added: dwant.png
2013-06-17 07:16 pubby Note Added: 0023216
2013-06-18 06:01 pubby File Added: dwant4.patch
2013-06-22 10:15 pubby File Added: dwant5.patch
2013-06-22 10:20 pubby Note Added: 0023263
2013-06-26 07:55 pubby File Added: formicid1.patch
2013-06-26 07:58 pubby Note Added: 0023307
2013-07-07 17:58 pubby File Added: formicid2.patch
2013-08-25 07:08 neil Note Added: 0023867
2013-11-06 19:46 KiloByte Note Added: 0024312
2013-11-06 19:46 KiloByte Status new => resolved
2013-11-06 19:46 KiloByte Fixed in Branch => 0.14 development branch
2013-11-06 19:46 KiloByte Resolution open => done
2013-11-06 19:46 KiloByte Assigned To => KiloByte


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker